Generation Framework

## org.eclipse.gmf.gmfgraph
Interface BorderLayoutData

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, LayoutData, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  BorderLayoutDataImpl

    public interface BorderLayoutData

extends LayoutData

A representation of the model object 'Border Layout Data'.

The following features are supported:

- `Alignment`
- `Vertical`

See Also:
  `GMFGraphPackage.getBorderLayoutData()`
** Generated **
Model:

Method Summary
`Alignment` `getAlignment()` Returns the value of the 'Alignment' attribute.
`boolean` `isVertical()` Returns the value of the 'Vertical' attribute.
`void` `setAlignment(Alignment value)` Sets the value of the '`Alignment`' attribute
`void` `setVertical(boolean value)` Sets the value of the '`Vertical`' attribute

Methods inherited from interface org.eclipse.gmf.gmfgraph.LayoutData
`getOwner, setOwner`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAlignment

    Alignment getAlignment()

  Returns the value of the 'Alignment' attribute. The default value is `"CENTER"`. The literals are from the enumeration `Alignment`.

  If the meaning of the 'Alignment' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Alignment' attribute.
  See Also:
    `Alignment`, `setAlignment(Alignment)`, `GMFGraphPackage.getBorderLayoutData_Alignment()`
  ** Generated **
  Model:
    default="CENTER" required="true"

### setAlignment

    void setAlignment(Alignment value)

  Sets the value of the '`Alignment`' attribute.

  Parameters:
    `value` - the new value of the 'Alignment' attribute.
  See Also:
    `Alignment`, `getAlignment()`
  ** Generated **

### isVertical

    boolean isVertical()

  Returns the value of the 'Vertical' attribute. The default value is `"false"`.

  If the meaning of the 'Vertical' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Vertical' attribute.
  See Also:
    `setVertical(boolean)`, `GMFGraphPackage.getBorderLayoutData_Vertical()`
  ** Generated **
  Model:
    default="false"

### setVertical

    void setVertical(boolean value)

  Sets the value of the '`Vertical`' attribute.

  Parameters:
    `value` - the new value of the 'Vertical' attribute.
  See Also:
    `isVertical()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.